%define po_package gnome-session-3.0

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	The gnome desktop programs for the GNOME GUI desktop environment
Name:		gnome-session
Version:	3.10.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	gnome-session-startgnome
Source2:	gnome-session-gnomerc
Source4:	gnome-wm.desktop
URL:		http://www.gnome.org/softwaremap/projects/gnome-session/
Requires:	GConf2 >= 1.2.1
Requires:	desktop-common-data
Requires:	gnome-user-docs
Requires:	gnome-settings-daemon
Requires:	%{name}-bin >= %{version}-%{release}
Requires:	gsettings-desktop-schemas
Requires:	dconf
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.76
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.7
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.10
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.0
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(libsystemd-login) >= 38
BuildRequires:	pkgconfig(libsystemd-daemon)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	x11-xtrans-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	xmlto
BuildRequires:	gnome-desktop3-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The GNOME Session Manager restores a set session (group of applications)
when you log into GNOME.

%package bin
Group:		%{group}
Summary:	%{summary}
Conflicts:	gnome-session < 2.31.2
Conflicts:	GConf-sanity-check

%description bin
This package contains the binaries for the GNOME Session Manager, but 
no startup scripts. It is meant for applications such as GDM that use 
gnome-session internally.

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install --enable-systemd
%make

%install
%makeinstall_std

# kill upstream xsession file.
# If we leave this it overrides our one, preventing the run of /etc/X11/Xsession
# and thus the processing of /etc/X11/xinit.d/ files.
# See: https://bugs.mageia.org/show_bug.cgi?id=11582
rm -rf %{buildroot}%{_datadir}/xsessions

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/02GNOME
NAME=GNOME
ICON=gnome-logo-icon-transparent.png
DESC=GNOME 3 Environment
EXEC=%{_bindir}/startgnome
SCRIPT:
exec %{_bindir}/startgnome
EOF

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Advanced" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/startgnome

mkdir -p %{buildroot}%{_sysconfdir}/gnome
install -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/gnome/gnomerc
# gw these produce rpmlint errors:
rm -rf %buildroot%_datadir/locale/{be@latin}

%find_lang %{po_package}


%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Gnome$|DESKTOP=GNOME|g" /etc/sysconfig/desktop
fi
%{make_session}

%files bin
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%{_bindir}/%{name}
%{_mandir}/*/%{name}.*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*

%files -f %{name}-3.0.lang
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%{_sysconfdir}/gnome/gnomerc
%{_bindir}/%{name}-inhibit
%{_bindir}/startgnome
%{_bindir}/%{name}-quit
%{_bindir}/%{name}-properties
%{_libexecdir}/%{name}-*
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/applications/*
%{_datadir}/wayland-sessions
%{_mandir}/*/%{name}-*
%doc %{_docdir}/%{name}


%changelog
* Wed Jan 22 2014 colin <colin> 3.10.1-3.mga4
+ Revision: 567450
- Use buildroot RPM macro in favour of env var
- Kill upstream xsession file which overrides our own mga#11582

* Mon Oct 21 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541165
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495250
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484618
- new version 3.10.0

* Wed Sep 18 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 481199
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474788
- new version 3.9.91

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474379
- Rebuild against new gnome-desktop3

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468344
- new version 3.9.90

* Thu Aug 01 2013 dams <dams> 3.9.5-1.mga4
+ Revision: 462290
- new version 3.9.5

* Tue Jul 30 2013 ovitters <ovitters> 3.8.4-1.mga4
+ Revision: 461311
- new version 3.8.4

* Tue Jul 30 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 461306
- new version 3.8.3

* Tue Jun 18 2013 tv <tv> 3.8.2.1-3.mga4
+ Revision: 444626
- drop old no more working gnomeclassic session
- do package xsessions

* Mon May 27 2013 ovitters <ovitters> 3.8.2.1-2.mga4
+ Revision: 428963
- remove requires on notification-daemon: fallback mode only and that is gone with GNOME 3.8

* Sat May 25 2013 ovitters <ovitters> 3.8.2.1-1.mga4
+ Revision: 427247
- new version 3.8.2.1

* Fri May 24 2013 tv <tv> 3.8.2-1.mga4
+ Revision: 426656
- adjust file list
- adjust file list
- BR gnome-desktop3-devel
- drop merged patches
- new release
- new release

* Thu Apr 25 2013 colin <colin> 3.6.2-5.mga3
+ Revision: 411142
- Add conflicts on GConf-sanity-check to prevent -devel pkgs being pulled in.

* Thu Jan 24 2013 ovitters <ovitters> 3.6.2-4.mga3
+ Revision: 392146
- drop require on GConf2-sanity-check

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 352196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 3.6.2-2.mga3
+ Revision: 339609
- Fix for _libdir != _libexecdir

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317462
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306900
- new version 3.6.1

* Mon Oct 08 2012 ovitters <ovitters> 3.6.0-2.mga3
+ Revision: 303504
- add patch to unblacklist llvmpipe

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297740
- new version 3.6.0

* Wed Sep 05 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288658
- new version 3.5.91

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279604
- new version 3.5.5

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271669
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 266070
- new version 3.5.2

* Mon Jun 11 2012 ovitters <ovitters> 3.4.2.1-2.mga3
+ Revision: 259813
- enable systemd

* Wed May 23 2012 ovitters <ovitters> 3.4.2.1-1.mga3
+ Revision: 236005
- new version 3.4.2.1
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231040
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227098
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224338
- new version 3.3.92

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212280
- new version

* Tue Feb 14 2012 ovitters <ovitters> 3.3.5-2.mga2
+ Revision: 208782
- clean spec

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205865
- new version 3.3.5

* Tue Dec 20 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184912
- new version 3.3.3

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170465
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158673
- new version 3.3.1

* Sun Oct 16 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155573
- drop upstream applied patch
- fix source tag

  + fwang <fwang>
    - new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148605
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145863
- new version 3.1.92

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138787
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136413
- new version 3.1.90
- update file list
- new version 3.1.5

* Sat Jul 09 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 121124
- 3.1.3

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118368
- New version 3.1.2

* Thu Jun 16 2011 cjw <cjw> 3.0.1-3.mga2
+ Revision: 108423
- add BuildRequires: xsltproc xmlto for documentation
- add a session with gnome-panel and separate window manager

* Sat Jun 11 2011 cjw <cjw> 3.0.1-2.mga2
+ Revision: 103471
- add dependency on notification-daemon

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.1-1.mga2
+ Revision: 101779
- Add buildrequires
- Add librsvg-devel as buildrequires
- Build with gtk+3
- New version 3.0.1
  Sync with fedora for the file list

  + saispo <saispo>
    - Fix MGA_MENU_STYLE in gnomerc

* Thu Apr 28 2011 pterjan <pterjan> 2.32.1-3.mga1
+ Revision: 93326
- Require gsettings-desktop-schemas and dconf

* Thu Jan 20 2011 blino <blino> 2.32.1-2.mga1
+ Revision: 27560
- buildrequire libsm-devel
- bump conflicts not to depend on vendor release
- remove old version in comments
- remove old scriptlets
- imported package gnome-session

